ParanamerOnJacksonAnnotationIntrospector (Jackson module: Paranamer 2.13.0 API)
Date: 2021-09-30

com.fasterxml.jackson.module.paranamer

## Class ParanamerOnJacksonAnnotationIntrospector

- java.lang.Object
- - com.fasterxml.jackson.databind.AnnotationIntrospector
  - - com.fasterxml.jackson.databind.introspect.JacksonAnnotationIntrospector
    - - com.fasterxml.jackson.module.paranamer.ParanamerOnJacksonAnnotationIntrospector

- All Implemented Interfaces:
    com.fasterxml.jackson.core.Versioned, Serializable

      public class ParanamerOnJacksonAnnotationIntrospector
      extends com.fasterxml.jackson.databind.introspect.JacksonAnnotationIntrospector

  Stand-alone `AnnotationIntrospector` that defines functionality to discover names of constructor (and factory method) parameters, on top of default Jackson annotation processing. It can be used as the replacement for vanilla `JacksonAnnotationIntrospector`.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.AnnotationIntrospector

      `com.fasterxml.jackson.databind.AnnotationIntrospector.ReferenceProperty, com.fasterxml.jackson.databind.AnnotationIntrospector.XmlExtensions`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SerializableParanamer` | `_paranamer` Wrapper used to encapsulate actual Paranamer call, to allow serialization of this introspector

    - ### Fields inherited from class com.fasterxml.jackson.databind.introspect.JacksonAnnotationIntrospector

      `_annotationsInside, _cfgConstructorPropertiesImpliesCreator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParanamerOnJacksonAnnotationIntrospector()`
    `ParanamerOnJacksonAnnotationIntrospector(com.thoughtworks.paranamer.Paranamer pn)` Deprecated. since 2.7.6
    `ParanamerOnJacksonAnnotationIntrospector(SerializableParanamer pn)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `findImplicitPropertyName(com.fasterxml.jackson.databind.introspect.AnnotatedMember param)`
    `com.fasterxml.jackson.databind.PropertyName` | `findNameForDeserialization(com.fasterxml.jackson.databind.introspect.Annotated a)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.introspect.JacksonAnnotationIntrospector

      `_classIfExplicit, _classIfExplicit, _constructNoTypeResolverBuilder, _constructStdTypeResolverBuilder, _constructVirtualProperty, _constructVirtualProperty, _findConstructorName, _findTypeResolver, _isIgnorable, _propertyName, findAndAddVirtualProperties, findAutoDetectVisibility, findClassDescription, findContentDeserializer, findContentSerializer, findCreatorAnnotation, findCreatorBinding, findDefaultEnumValue, findDeserializationContentConverter, findDeserializationContentType, findDeserializationConverter, findDeserializationKeyType, findDeserializationType, findDeserializer, findEnumAliases, findEnumValue, findEnumValues, findFilterId, findFormat, findInjectableValue, findInjectableValueId, findKeyDeserializer, findKeySerializer, findMergeInfo, findNameForSerialization, findNamingStrategy, findNullSerializer, findObjectIdInfo, findObjectReferenceInfo, findPOJOBuilder, findPOJOBuilderConfig, findPropertyAccess, findPropertyAliases, findPropertyContentTypeResolver, findPropertyDefaultValue, findPropertyDescription, findPropertyIgnoralByName, findPropertyIgnorals, findPropertyInclusion, findPropertyInclusionByName, findPropertyIndex, findPropertyTypeResolver, findReferenceType, findRenameByField, findRootName, findSerializationContentConverter, findSerializationContentType, findSerializationConverter, findSerializationKeyType, findSerializationPropertyOrder, findSerializationSortAlphabetically, findSerializationType, findSerializationTyping, findSerializer, findSetterInfo, findSubtypes, findTypeName, findTypeResolver, findUnwrappingNameTransformer, findValueInstantiator, findViews, hasAnyGetter, hasAnyGetterAnnotation, hasAnySetter, hasAnySetterAnnotation, hasAsKey, hasAsValue, hasAsValueAnnotation, hasCreatorAnnotation, hasIgnoreMarker, hasRequiredMarker, isAnnotationBundle, isIgnorableType, isTypeId, readResolve, refineDeserializationType, refineSerializationType, resolveSetterConflict, setConstructorPropertiesImpliesCreator, version`

    - ### Methods inherited from class com.fasterxml.jackson.databind.AnnotationIntrospector

      `_findAnnotation, _hasAnnotation, _hasOneOf, allIntrospectors, allIntrospectors, findIgnoreUnknownProperties, findPropertiesToIgnore, findSerializationInclusion, findSerializationInclusionForContent, findWrapperName, nopInstance, pair`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _paranamer

          protected final SerializableParanamer _paranamer

      Wrapper used to encapsulate actual Paranamer call, to allow serialization of this introspector

  - ### Constructor Detail

    - #### ParanamerOnJacksonAnnotationIntrospector

          public ParanamerOnJacksonAnnotationIntrospector()

    - #### ParanamerOnJacksonAnnotationIntrospector

          public ParanamerOnJacksonAnnotationIntrospector(SerializableParanamer pn)

      Since:
        2.7.6

    - #### ParanamerOnJacksonAnnotationIntrospector

          @Deprecated
          public ParanamerOnJacksonAnnotationIntrospector(com.thoughtworks.paranamer.Paranamer pn)

      Deprecated. since 2.7.6

  - ### Method Detail

    - #### findNameForDeserialization

          public com.fasterxml.jackson.databind.PropertyName findNameForDeserialization(com.fasterxml.jackson.databind.introspect.Annotated a)

      Overrides:
        `findNameForDeserialization` in class `com.fasterxml.jackson.databind.introspect.JacksonAnnotationIntrospector`

    - #### findImplicitPropertyName

          public String findImplicitPropertyName(com.fasterxml.jackson.databind.introspect.AnnotatedMember param)

      Overrides:
        `findImplicitPropertyName` in class `com.fasterxml.jackson.databind.introspect.JacksonAnnotationIntrospector`

Copyright © 2021 FasterXML. All rights reserved.